// ### Open SanAndreas ###
// (c) 2008 Stanislav "listener" Golovin
//
// AI tasks

#include <stdafx.h>
#include "ogMath.h"
#include "ogRW.h"
#include "ogMemory.h"
#include "ogStreaming.h"
#include "ogGameObjects.h"
#include "ogAI.h"
#include "ogModels.h"
#include "ogTextures.h"
#include "gtaInterface.h"


void * CTaskBase::operator new (size_t size) {
	return (*taskPool)->allocate ();
}
void CTaskBase::operator delete (void * ptr) {
	(*taskPool)->release ((BYTE *)ptr);
}

//-----------------------------------------------------------------------------
BYTE (__thiscall * CTask_8708EC__18)(CTask_8708EC *_this, CEntity *, int, void *) = (BYTE (__thiscall *)(CTask_8708EC *, CEntity *, int, void *))0x6857E0;
BYTE (__thiscall * CTask_8708EC__1C)(CTask_8708EC *_this, CEntity *) = (BYTE (__thiscall *)(CTask_8708EC *, CEntity *))0x688810;

CTask_8708EC::CTask_8708EC() {
	ifpIndex = getIfpIndexByName ("playidles");
	_f0C = 0;
	_f10 = 0;
	_f14 = 0;
	_f18 = 0;
}

BYTE CTask_8708EC::_m18(CEntity * e, int t , void * p) {
	return CTask_8708EC__18 (this, e, t, p);
}

BYTE CTask_8708EC::_m1C(CEntity * e) {
	return CTask_8708EC__1C (this, e);
}